Ethiack Docs
Event scope

Add Asset to Event

POST
/v1/events/{event_slug}/scope/assets/

Adds an existing asset to a specific event's scope.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Path Parameters

event_slug*string

The slug of the event where the asset will be added.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.ethiack.com/v1/events/string/scope/assets/" \  -H "Content-Type: application/json" \  -d '{    "asset_id": 0,    "in_scope": false,    "wildcard": false,    "description": null  }'
{
  "code": 0,
  "description": "string",
  "id": null,
  "success": true
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}